Page MenuHomePhabricator

Click handler should be removed if MediaViewer fails to load
Closed, ResolvedPublic

Description

See T66525 for a real-life example; but generally, when we catch an error in Bootstrap.loadViewer(), we should also clean up the click handler so the user is not blocked from going to the file description page.

Details

Reference
bz64527

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:10 AM
bzimport added a project: MediaViewer.
bzimport set Reference to bz64527.
bzimport added a subscriber: Unknown Object (MLST).
Tgr created this task.Apr 28 2014, 6:33 AM
MarkTraceur triaged this task as Medium priority.Nov 24 2014, 2:14 PM
MarkTraceur added a project: good first task.
MarkTraceur set Security to None.
Tgr updated the task description. (Show Details)Dec 31 2014, 2:27 AM
Tgr closed this task as Resolved.Dec 31 2014, 3:12 AM
Tgr claimed this task.

Already done - the fail hanlder in MultimediaViewerBootstrap.loadViewer() sets the flag MultimediaViewerBootstrap.viewerIsBroken which will disable further click handling.